/* Size of buffer that holds the IMAP command to be sent. */
#define SMALL_COMMAND_MAX		64
#define MEDIUM_COMMAND_MAX		256
#define BIG_COMMAND_MAX			8192

/* Number of messages that match the filters and are to be deleted. */
#define MESSAGES_MAX			128

/*
 * Size of buffer that holds the DATE, FROM and SUBJECT headers of the
 * message to be deleted.
 */
#define HEADERS_MAX			1024

#define custom_header(A)		((A) ? "HEADER " : "")


int send_command(char *command);
int send_command_get_response(char *command);
#ifdef DEBUG
int imap_noop(void);
#endif
int imap_logout(void);
int imap_login(void);
int imap_select(void);
int imap_search(char *results);
int imap_fetch(unsigned int m, char *results);
int imap_store(unsigned int m);
int imap_expunge(void);
void generate_search_filters(char *command);
void generate_search_limits(char *command);
void deny_filters(char *command);
void allow_filters(char *command, char *key);
void delete_messages(char *unwanted);
